# Выберите базовый образ
FROM node:14

# Создайте директорию для приложения
WORKDIR /usr/src/app

# Скопируйте файлы зависимостей
COPY package*.json ./

# Установите зависимости
RUN npm install

# Скопируйте исходный код приложения
COPY . .

# Определите порт, который будет прослушивать приложение
EXPOSE 3000

# Запустите приложение
CMD [ "npm", "start" ]
